LogChannel

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jagatoo.logging
Class LogChannel

    java.lang.Object
      org.jagatoo.logging.LogChannel

    public class LogChannel

extends java.lang.Object

A LogChannel assotiates a channel id with a name.

Author:
  Marvin Froehlich (aka Qudus)

Field Summary
`static int` | `MASK_ALL` This is a bitmask setting, that covers all possible LogChannel IDs.

Constructor Summary
`LogChannel(java.lang.String name)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`int` | `getID()`
`java.lang.String` | `getLogString()`
`java.lang.String` | `getName()`
`int` | `hashCode()`
`boolean` | `isInFilter(int channelFilter)` Gets whether this channel's id bit is set in the given filter mask.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### MASK_ALL

    public static final int MASK_ALL

  This is a bitmask setting, that covers all possible LogChannel IDs.

  See Also:
    Constant Field Values

Constructor Detail

### LogChannel

    public LogChannel(java.lang.String name)

Method Detail

### getID

    public final int getID()

  Returns:
    this channel's ID.

### getName

    public final java.lang.String getName()

  Returns:
    this channel's name.

### getLogString

    public final java.lang.String getLogString()

  Returns:
    a String to be inserted in the logging output

### isInFilter

    public final boolean isInFilter(int channelFilter)

  Gets whether this channel's id bit is set in the given filter mask.

  Parameters:
    `channelFilter` -
  Returns:
    whether this channel's id bit is set in the given filter mask.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD